Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.event
Class ActionEvent

    java.lang.Object
      java.util.EventObject
          javax.faces.event.FacesEvent
              javax.faces.event.ActionEvent

All Implemented Interfaces:
  java.io.Serializable

public class ActionEvent
extends FacesEvent

Version:
  $Revision: 225333 $ $Date: 2005-07-26 11:49:19 -0400 (Tue, 26 Jul 2005) $
Author:
  Thomas Spiegl (latest modification by $Author: bdudney $)
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ActionEvent(UIComponent uiComponent)`

Method Summary
`boolean` | `isAppropriateListener(FacesListener facesListeners)`
`void` | `processListener(FacesListener facesListeners)`

Methods inherited from class javax.faces.event.FacesEvent
`getComponent, getPhaseId, queue, setPhaseId`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ActionEvent

    public ActionEvent(UIComponent uiComponent)

Method Detail

### isAppropriateListener

    public boolean isAppropriateListener(FacesListener facesListeners)

  Specified by:
    `isAppropriateListener` in class `FacesEvent`

### processListener

    public void processListener(FacesListener facesListeners)

  Specified by:
    `processListener` in class `FacesEvent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD